%define name naat-monitoring
%define version 0.8
%define release 6mdk

Summary: Naat-monitoring - collect and graph system & network statistics
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
BuildArch: noarch
License: GPL
URL: http://www.mandrakesoft.com
Group: Monitoring
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Prefix: %{_prefix}
Requires: rrdtool
Requires: perl
#PreReq: httpd-naat
#PreReq: naat-frontend-www

%description
Naat-monitoring - collect and graph system & network statistics (on localhost)
For now three section is made :
-CPU load
-Network traffic
-Memory usage


%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/%{_sbindir}
cp monitoring.pl ${RPM_BUILD_ROOT}/%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}/%{_bindir}
cp monitoring-graph.pl ${RPM_BUILD_ROOT}/%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}/etc/cron.d
cp naat-monitoring ${RPM_BUILD_ROOT}/etc/cron.d
#mkdir -p ${RPM_BUILD_ROOT}/var/www/html/admin/monitoring
mkdir -p ${RPM_BUILD_ROOT}/var/lib/monitoring
#cp .htaccess ${RPM_BUILD_ROOT}/var/www-naat/html/admin/monitoring/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT AUTHORS monitoring.htaccess
%{_sbindir}/monitoring.pl
%{_bindir}/monitoring-graph.pl
%attr(644,root,root) %config(noreplace) %verify(not size mtime md5) /etc/cron.d/naat-monitoring
#%dir %attr(775, httpd-naat, admin) /var/www-naat/html/admin/monitoring
#%attr(-,httpd-naat, admin) /var/www-naat/html/admin/monitoring/.htaccess
%dir %attr(755, root, root) /var/lib/monitoring

%changelog
*  Fri Mar 15 2002 Florin Grad <florin@mandrakesoft.com> 0.8-6mdk
- fix typo

*  Fri Mar 15 2002 Philippe Libat <philippe@mandrakesoft.com> 0.8-5mdk
- fix typo

*  Fri Mar 15 2002 Philippe Libat <philippe@mandrakesoft.com> 0.8-4mdk
- florin fixes : typo

*  Fri Mar 08 2002 Philippe Libat <philippe@mandrakesoft.com> 0.8-3mdk
- fix color

*  Fri Dec 21 2001 Philippe Libat <philippe@mandrakesoft.com> 0.8-1mdk
- version snf

* Wed Nov 07 2001 Philippe Libat <philippe@mandrakesoft.com> 0.7-1mdk
- fix getopt
- fix spec file for cooker version

* Mon Aug 27 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.6-1mdk
- release for 8.1

* Thu Mar 29 2001 Vincent Saugey <vince@mandrakesoft.com> 0.2-4mdk
- adding volume of traffic for each interface

* Tue Mar 20 2001 Vincent Saugey <vince@mandrakesoft.com> 0.2-3mdk
- Adding .htaccess file for the apache web server

* Tue Feb 27 2001 Vincent Saugey <vince@mandrakesoft.com> 0.2-2mdk
- Change typo fault in monitoring-graph, sorry
- Adding paasing interface next --net

* Mon Feb 26 2001 Vincent Saugey <vince@mandrakesoft.com> 0.2-1mdk
- Adding -f flags (only fisrt graph)
- Reduce code size by two, remove redondances
- Change cpuload graph color

* Mon Feb 26 2001 Vincent Saugey <vince@mandrakesoft.com> 0.1-7mdk
- Adding -f flags (only fisrt graph)
- Reduce code size by two, remove redondances
- Change cpuload graph color

* Thu Feb 22 2001 Vincent Saugey <vince@mandrakesoft.com> 0.1-6mdk
- Adding select generation graph with argument on command line

* Fri Feb  9 2001 Vincent Saugey <vince@mandrakesoft.com> 0.1-5mdk
- inverse color free, used memory

* Fri Feb  9 2001 Vincent Saugey <vince@mandrakesoft.com> 0.1-4mdk
- Adding label and counter on image

* Tue Jan 23 2001 Vincent Saugey <vince@mandrakesoft.com> 0.1-3mdk
- Add hourly traffic graph

* Thu Jan 18 2001 Vincent Saugey <vince@mandrakesoft.com> 0.1-2mdk
- Separe backup data and graphics generations.

* Mon Jan 15 2001 Vincent Saugey <vince@mandrakesoft.com> 0.1-1mdk
- Fisrt mdk version
